//plugins.h:

/*
 *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
 *
 *  This file is part of roard a part of RoarAudio,
 *  a cross-platform sound system for both, home and professional use.
 *  See README for details.
 *
 *  This file is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3
 *  as published by the Free Software Foundation.
 *
 *  RoarAudio is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this software; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
 *  Boston, MA 02110-1301, USA.
 *
 */

#ifndef _PLUGINS_H_
#define _PLUGINS_H_

#include <roaraudio.h>

struct roard_plugins_sched {
 int (*init)(void);
 int (*free)(void);
 int (*update)(void);
};

int plugins_preinit  (void);
int plugins_init     (void);
int plugins_free     (void);
int plugins_update   (void);

int plugins_load     (const char * filename);

int plugins_reg_sched(struct roard_plugins_sched * sched);
int plugins_reg_proto(struct roard_proto         * proto);

#endif

//ll
